RPM::Constant(3)

NAME
RPM::Constant

DESCRIPTION
RPM::Constant provide function to map internal C value use inside rpm to textual value anybody can use in all RPM modules.

SYNOPSIS
    use RPM::Constant;

    my $value = getvalue("anyflagset", "anyflags");
    if (defined($value)) {
        print "Value: $value\n";
    } else {
        print STDERR "cannot find anyflags in anyflagset\n";
    }

FUNCTIONS

  listallcontext
Return an array listing all existing context, aka flags type.

  listcontext(contextname)
Return all textuals value handle in a context, undef if contextname does not exists.

  getvalue(contextname, value)
Return the internal C value for value textual value, undef value in contextname cannot be found.

AUTHOR
Olivier Thauvin <nanardon@nanardon.zarb.org>

LICENSE
This software is under GPL, refer to rpm license for details.